/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * UnsignedIntQuery.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"
#include "Actions/ValueStorage.hpp"


// UnsignedInt Queries
Dialog::UnsignedIntQuery::UnsignedIntQuery(std::string title, std::string description) :
    Query(title, description),
    tmp(0)
{}

Dialog::UnsignedIntQuery::~UnsignedIntQuery() {}

void Dialog::UnsignedIntQuery::setResult() {
  ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
}

